<!DOCTYPE html>
<html class="writer-html5" lang="en" >
<head>
  <meta charset="utf-8" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>lib.handle.handle_list &mdash; RDstar_light  documentation</title>
      <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
      <link rel="stylesheet" href="../../../_static/css/theme.css" type="text/css" />
  <!--[if lt IE 9]>
    <script src="../../../_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
        <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
        <script src="../../../_static/jquery.js"></script>
        <script src="../../../_static/underscore.js"></script>
        <script src="../../../_static/_sphinx_javascript_frameworks_compat.js"></script>
        <script src="../../../_static/doctools.js"></script>
    <script src="../../../_static/js/theme.js"></script>
    <link rel="index" title="Index" href="../../../genindex.html" />
    <link rel="search" title="Search" href="../../../search.html" /> 
</head>

<body class="wy-body-for-nav"> 
  <div class="wy-grid-for-nav">
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
            <a href="../../../index.html" class="icon icon-home"> RDstar_light
          </a>
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="../../../search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>
        </div><div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="Navigation menu">
              <ul>
<li class="toctree-l1"><a class="reference internal" href="../../../lib.html">lib package</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../../scripts.html">scripts.multiple_candidates package</a></li>
</ul>

        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap"><nav class="wy-nav-top" aria-label="Mobile navigation menu" >
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="../../../index.html">RDstar_light</a>
      </nav>

      <div class="wy-nav-content">
        <div class="rst-content">
          <div role="navigation" aria-label="Page navigation">
  <ul class="wy-breadcrumbs">
      <li><a href="../../../index.html" class="icon icon-home"></a> &raquo;</li>
          <li><a href="../../index.html">Module code</a> &raquo;</li>
      <li>lib.handle.handle_list</li>
      <li class="wy-breadcrumbs-aside">
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
             
  <h1>Source code for lib.handle.handle_list</h1><div class="highlight"><pre>
<span></span><span class="sd">&quot;&quot;&quot; Module to handle lists.</span>
<span class="sd">&quot;&quot;&quot;</span>


<div class="viewcode-block" id="el_to_list"><a class="viewcode-back" href="../../../lib.handle.html#lib.handle.handle_list.el_to_list">[docs]</a><span class="k">def</span> <span class="nf">el_to_list</span><span class="p">(</span><span class="n">el</span><span class="p">:</span> <span class="nb">object</span><span class="p">,</span> <span class="n">len_list</span><span class="p">:</span> <span class="nb">int</span> <span class="o">=</span> <span class="mi">1</span><span class="p">):</span>
    <span class="sd">&quot;&quot;&quot; Turn a single non-list element ``el`` into a list</span>
<span class="sd">    of size ``len_list`` by duplicating.</span>

<span class="sd">    Args:</span>
<span class="sd">        el : element</span>
<span class="sd">        len_list : length of the list to create</span>

<span class="sd">    Returns:</span>
<span class="sd">        If ``el`` is a ``list``, just returns ``el``. \</span>
<span class="sd">        Else, returns list of size ``len_list``, i.e., ``[el, el, ...]``</span>

<span class="sd">    Notes:</span>
<span class="sd">        A function taking two variables might have arguments that need to be</span>
<span class="sd">        a 2-list, whose elements correspond to the two variables.</span>
<span class="sd">        This function allows for the user to specify only a common element</span>
<span class="sd">        that will be converted into a 2-list.</span>
<span class="sd">    &quot;&quot;&quot;</span>
    <span class="k">if</span> <span class="ow">not</span> <span class="nb">isinstance</span><span class="p">(</span><span class="n">el</span><span class="p">,</span> <span class="p">(</span><span class="nb">list</span><span class="p">,</span> <span class="nb">tuple</span><span class="p">)):</span>
        <span class="k">return</span> <span class="p">[</span><span class="n">el</span> <span class="k">for</span> <span class="n">i</span> <span class="ow">in</span> <span class="nb">range</span><span class="p">(</span><span class="n">len_list</span><span class="p">)]</span>
    <span class="k">else</span><span class="p">:</span>
        <span class="k">return</span> <span class="n">el</span></div>


<div class="viewcode-block" id="remove_list_from_list"><a class="viewcode-back" href="../../../lib.handle.html#lib.handle.handle_list.remove_list_from_list">[docs]</a><span class="k">def</span> <span class="nf">remove_list_from_list</span><span class="p">(</span><span class="n">main_list</span><span class="p">:</span> <span class="nb">list</span><span class="p">,</span> <span class="n">sub_list</span><span class="p">:</span> <span class="nb">list</span><span class="p">)</span> <span class="o">-&gt;</span> <span class="nb">list</span><span class="p">:</span>
    <span class="sd">&quot;&quot;&quot; Remove a list from a list. Not in-place.</span>

<span class="sd">    Args:</span>
<span class="sd">        main_list: a list</span>
<span class="sd">        sub_list: a list</span>

<span class="sd">    Returns:</span>
<span class="sd">        ``main_list`` without the elements in ``sub_list``</span>
<span class="sd">    &quot;&quot;&quot;</span>
    <span class="k">return</span> <span class="p">[</span><span class="n">el</span> <span class="k">for</span> <span class="n">el</span> <span class="ow">in</span> <span class="n">main_list</span> <span class="k">if</span> <span class="n">el</span> <span class="ow">not</span> <span class="ow">in</span> <span class="n">sub_list</span><span class="p">]</span></div>


<div class="viewcode-block" id="check_list_in_list"><a class="viewcode-back" href="../../../lib.handle.html#lib.handle.handle_list.check_list_in_list">[docs]</a><span class="k">def</span> <span class="nf">check_list_in_list</span><span class="p">(</span><span class="n">list1</span><span class="p">:</span> <span class="nb">list</span><span class="p">,</span> <span class="n">list2</span><span class="p">:</span> <span class="nb">list</span><span class="p">)</span> <span class="o">-&gt;</span> <span class="nb">bool</span><span class="p">:</span>
    <span class="sd">&quot;&quot;&quot; Check if ``list1`` is in ``list2``</span>

<span class="sd">    Args:</span>
<span class="sd">        list1: a list</span>
<span class="sd">        list2: a list</span>

<span class="sd">    Returns:</span>
<span class="sd">        whether ``list1`` is in ``list2``</span>
<span class="sd">    &quot;&quot;&quot;</span>
    <span class="k">for</span> <span class="n">el1</span> <span class="ow">in</span> <span class="n">list1</span><span class="p">:</span>
        <span class="k">if</span> <span class="n">el1</span> <span class="ow">not</span> <span class="ow">in</span> <span class="n">list2</span><span class="p">:</span>
            <span class="k">return</span> <span class="kc">False</span>
    <span class="k">return</span> <span class="kc">True</span></div>


<span class="k">def</span> <span class="nf">_type_to_list</span><span class="p">(</span><span class="n">element</span><span class="p">:</span> <span class="nb">object</span><span class="p">,</span> <span class="n">type_in</span><span class="p">:</span> <span class="nb">object</span><span class="p">)</span> <span class="o">-&gt;</span> <span class="nb">list</span><span class="p">:</span>
    <span class="sd">&quot;&quot;&quot; Transform an element into a list if its type is ``type_in``</span>

<span class="sd">    Args:</span>
<span class="sd">        element: python element</span>
<span class="sd">        type_in: a type</span>

<span class="sd">    Returns:</span>
<span class="sd">        if the type of the ``element`` is ``type_in``, returns a list of</span>
<span class="sd">        one element, that is only ``element``. Otherwise, just return</span>
<span class="sd">        ``element``</span>
<span class="sd">    &quot;&quot;&quot;</span>
    <span class="k">if</span> <span class="nb">isinstance</span><span class="p">(</span><span class="n">element</span><span class="p">,</span> <span class="n">type_in</span><span class="p">):</span>
        <span class="k">return</span> <span class="p">[</span><span class="n">element</span><span class="p">]</span>
    <span class="k">else</span><span class="p">:</span>
        <span class="k">return</span> <span class="n">element</span>
</pre></div>

           </div>
          </div>
          <footer>

  <hr/>

  <div role="contentinfo">
    <p>&#169; Copyright .</p>
  </div>

  Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    provided by <a href="https://readthedocs.org">Read the Docs</a>.
   

</footer>
        </div>
      </div>
    </section>
  </div>
  <script>
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script> 

</body>
</html>